# Uses of Class
javax.swing.plaf.ScrollBarUI

Packages that use ScrollBarUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ScrollBarUI in javax.swing

Methods in javax.swing that return ScrollBarUI
Modifier and Type
Method
Description
`ScrollBarUI`
JScrollBar.`getUI()`
Returns the delegate that implements the look and feel for this component.
Methods in javax.swing with parameters of type ScrollBarUI
Modifier and Type
Method
Description
`void`
JScrollBar.`setUI(ScrollBarUI ui)`
Sets the L&F object that renders this component.

## Uses of ScrollBarUI in javax.swing.plaf.basic

Subclasses of ScrollBarUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicScrollBarUI`
Implementation of ScrollBarUI for the Basic Look and Feel

## Uses of ScrollBarUI in javax.swing.plaf.metal

Subclasses of ScrollBarUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalScrollBarUI`
Implementation of ScrollBarUI for the Metal Look and Feel

## Uses of ScrollBarUI in javax.swing.plaf.multi

Subclasses of ScrollBarUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiScrollBarUI`
A multiplexing UI used to combine `ScrollBarUI`s.

## Uses of ScrollBarUI in javax.swing.plaf.synth

Subclasses of ScrollBarUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthScrollBarUI`
Provides the Synth L&F UI delegate for `JScrollBar`.